# AccountLinesResponse | xrpl
Documentation for xrpl

# Interface AccountLinesResponse

Response expected from an AccountLinesRequest.

#### Hierarchy

- BaseResponse
  - AccountLinesResponse

- Defined in packages/xrpl/src/models/methods/accountLines.ts:103

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
account: string;
ledger_current_index?: number;
ledger_hash?: string;
ledger_index?: number;
lines: AccountLinesTrustline [];
marker?: unknown;
}

#### Type declaration

- ##### account: string

  Unique Address of the account this request corresponds to. This is the "perspective account" for purpose of the trust lines.

- ##### `Optional` ledger_current_index?: number

  The ledger index of the current open ledger, which was used when retrieving this information.

- ##### `Optional` ledger_hash?: string

  The identifying hash the ledger version that was used when retrieving this data.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger version that was used when retrieving this data.

- ##### lines: AccountLinesTrustline []

  Array of trust line objects. If the number of trust lines is large, only returns up to the limit at a time.

- ##### `Optional` marker?: unknown

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off. Omitted when there are No additional pages after this one.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountLines.ts:104

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc